System.ServiceModel 4.0.0.0 System.Enum

This mode describes how the client and server compute a shared symmetric key to use with a token issued by the server.

Describes the source of entropy used for key generation.

- Field
  4.0.0.0
  System.ServiceModel.Security.SecurityKeyEntropyMode

  The client provides the key used for the issued token.

- Field
  4.0.0.0
  System.ServiceModel.Security.SecurityKeyEntropyMode

  The client and server both provide entropy that is combined using the P-SHA1 function to derive the key of the issued token.

- Field
  4.0.0.0
  System.ServiceModel.Security.SecurityKeyEntropyMode

  The server provides the key for the issued token.